KIO Link
KIO Link XC APIKIO Link API
KIO BMSHuawei BMSHuawei Alert
KIO Link XC APIKIO Link API
KIO BMSHuawei BMSHuawei Alert
  1. Banned Devices
  • Auth
    • Login
      POST
    • Generate OTS Token
      POST
  • Application Content
    • List application content
      GET
    • Create application content
      POST
    • Get application content by slug
      GET
    • Get application content by public id
      GET
    • Partially update application content
      PATCH
    • Delete application content
      DELETE
  • Banned Devices
    • List banned devices
      GET
    • Check if a device is risky or banned
      GET
    • Get a banned device
      GET
    • Create a banned device
      POST
    • Update a banned device
      PATCH
    • Delete a banned device
      DELETE
  • Data Centers
    • Listar data centers
      GET
    • Crear un data center
      POST
    • Actualizar un data center
      PATCH
    • Eliminar un data center
      DELETE
  • Intake Forms
    • List intake form reponses
      GET
    • Get an intake form's response
      GET
    • Get an intake form's response license file
      GET
    • Get an intake form's response identification file
      GET
    • Download intake form responses report
      GET
    • Create an intake form's response
      POST
    • Upload a license file to an intake form's response
      POST
    • Upload an identification file to an intake form's response
      POST
    • Update an intake form's response
      PATCH
    • Delete an intake form's response
      DELETE
  • Send App Notification
    POST
  • Events Locations
    GET
  • Fetch Wires
    GET
  • Create Business Temporary Secret
    POST
  • Send Visits Report
    GET
  • Schemas
    • ApplicationContentCreate
    • ApplicationContentUpdate
    • ApplicationContent
    • ApplicationContentListResponse
    • Banned Device
    • Error
    • LanguageEntry
    • Pagination
    • Intake Form
    • DataCenter
    • LocalizedContent
  1. Banned Devices

Check if a device is risky or banned

QA Environment
https://qa-api.kiolinkapp.com
QA Environment
https://qa-api.kiolinkapp.com
GET
https://qa-api.kiolinkapp.com
/v1/banned-devices/check
Banned Devices
Last modified:2026-09-02 20:30:01
Maintainer:José María Esparza Arévalo
Required Permission(s):settings-banned-devices-read

Request

Authorization
API Key
Add parameter in header
authorization
Example:
authorization: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://qa-api.kiolinkapp.com/v1/banned-devices/check?q=undefined' \
--header 'authorization: <api-key>'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
    "banned": true,
    "matches": [
        {
            "brand": "string",
            "model": "string",
            "category": "string",
            "reason": "string",
            "serie": "string",
            "restriction_type": "string",
            "active": true,
            "_id": "string",
            "created_at": "string",
            "updated_at": "string",
            "__v": 0
        }
    ]
}
Modified at 2026-09-02 20:30:01
Previous
List banned devices
Next
Get a banned device
Built with